List Orders

Order Statuses:

Orders will have one of the following statuses:

  • paid: The order is waiting to be fulfilled. Use filter value unfulfilled to pull the invoices with paid status.
  • shipped: The order has been fulfilled. Use filter value fulfilled to pull the invoices with shipped status.
  • refunded: The order has been refunded. Use filter value refunded to pull the invoices with refunded status.
  • processing_payment: The order has been paid, but payment is still processing. Do not fulfill this order.
  • pending_verification: The order has a temporary hold. Do not fulfill this order.
  • pending_consolidation_decision: The order can be consolidated. If you are not enrolled with Tophatter consolidation program, do not fulfill orders with this status. Use filter value pending_order_consolidation_decision to pull the invoices with pending_consolidation_decision.
Query Params
string

An optional filter. The following values are accepted: fulfilled, unfulfilled, refunded, pending_order_consolidation_decision, and skipped_order_consolidation.

string
Defaults to id_desc

An optional sort. The possible values are: id_desc, id_asc, fulfillment_due_date_desc, fulfillment_due_date_asc, paid_at_desc, paid_at_asc. When fulfilling orders we recommend using the fulfillment_due_date_desc sort.

date

An optional date filter. Only orders created after this date will be returned.

int32
Defaults to 1

When paginating, the page of orders to return. Example: Assuming a per_page value of 50, page 1 would return orders 1 to 50 and page 2 would return products 51 to 100.

int32
Defaults to 50

The number of orders to return per page. 1000 is the maximum value.

Response

Language
Credentials
Basic
base64
:
Request
Response
Choose an example:
application/json